Bug 694564 - CVE-2011-1496 tmux does not drop group tmux privileges properly [epel-all]
Summary: CVE-2011-1496 tmux does not drop group tmux privileges properly [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tmux
Version: el6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-1496
TreeView+ depends on / blocked
 
Reported: 2011-04-07 16:22 UTC by Vincent Danen
Modified: 2011-04-27 13:13 UTC (History)
3 users (show)

Fixed In Version: tmux-1.4-3.el5.1
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-26 16:27:42 UTC


Attachments (Terms of Use)
Script to start irssi inside tmux (226 bytes, application/x-shellscript)
2011-04-27 13:12 UTC, Renato Botelho do Couto
no flags Details
Script to start mutt inside tmux (471 bytes, application/x-shellscript)
2011-04-27 13:13 UTC, Renato Botelho do Couto
no flags Details

Description Vincent Danen 2011-04-07 16:22:56 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=693824

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2011-04-10 12:14:01 UTC
tmux-1.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tmux-1.4-3.el6

Comment 2 Fedora Update System 2011-04-10 12:14:53 UTC
tmux-1.4-3.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/tmux-1.4-3.el5.1

Comment 3 Fedora Update System 2011-04-10 20:51:08 UTC
Package tmux-1.4-3.el5.1:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing tmux-1.4-3.el5.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tmux-1.4-3.el5.1
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-04-26 16:26:54 UTC
tmux-1.4-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-04-26 16:27:38 UTC
tmux-1.4-3.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Renato Botelho do Couto 2011-04-27 13:12:20 UTC
I start having a problem on my RHEL 6 after update tmux to 1.4-3. Let me describe what is happening.

I have 2 shell scripts that that I'll attach to this bug, the purpose of those scripts is to open mutt and irssi inside a renamed term and a tmux session, i use it to have specific rules on my window manager for these terms and use tmux because if I close the window (or Xorg) the sessions remains.

It was working fine until this morning. After upgrade what happens is.

I run the first script (doesn't matter if it's mutt.sh or irssi.sh) and it works fine, when I run the next one it simply doesn't work.

After run it with sh -x, i see it stuck in the command "tmux has-session -t irssi" and never goes on.

If I run the same has-session command on a terminal, it returns fine for me saying there is no session with this name and exit 1 as expected.

Let me know if you need more information about this problem.

BTW, how can I find source rpm of 1.4-2? I tried to find it to compare with 1.4-3 and understand what exactly had been done.

Comment 7 Renato Botelho do Couto 2011-04-27 13:12:55 UTC
Created attachment 495228 [details]
Script to start irssi inside tmux

Comment 8 Renato Botelho do Couto 2011-04-27 13:13:38 UTC
Created attachment 495229 [details]
Script to start mutt inside tmux


Note You need to log in before you can comment on or make changes to this bug.